# PSF-LoginServer - master - net.psforever.objects.serverobject.shuttle.OrbitalShuttlePadControl
PSF - LoginServer - master - net.psforever.objects.serverobject.shuttle.OrbitalShuttlePadControl
Keywords: PSF LoginServer master net.psforever.objects.serverobject.shuttle.OrbitalShuttlePadControl

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package shuttle
  Definition Classes
    serverobject
- OrbitalShuttle
- OrbitalShuttlePad
- OrbitalShuttlePadControl
- ShuttleAmenity

c

net.psforever.objects.serverobject.shuttle

# OrbitalShuttlePadControl 

###
Companion object OrbitalShuttlePadControl

#### class OrbitalShuttlePadControl extends Actor

An `Actor` that handles messages being dispatched to a specific `OrbitalShuttlePad`.
For the purposes of maintaining a close relationship with the rest of the high altitude rapid transport (HART) system's components, this control agency also locally creates the vehicle that will the shuttle when it starts up. The shuttle should be treated like a supporting object to the zone that exists within the normal vehicle pipeline.

Source
  OrbitalShuttlePadControl.scala
See also

  `ShuttleState`

  `ShuttleTimer`

  `HartService`

Linear Supertypes
Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OrbitalShuttlePadControl
2. Actor
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new OrbitalShuttlePadControl(pad: OrbitalShuttlePad)

   pad

     the `OrbitalShuttlePad` object being governed

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
5.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
6.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
7.  def aroundPreStart(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  implicit val context: ActorContext
    Definition Classes
      Actor
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  var managedDoors: List[Door]

    the doors that allow would be passengers to access the shuttle boarding gantries (actually, a hallway with a teleport); the target doors are of a specific type that flag their purpose - "gr_door_mb_orb"

19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
23.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
24.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
25.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
26.  def receive: Receive
    Definition Classes
      OrbitalShuttlePadControl → Actor
27.  implicit final val self: ActorRef
    Definition Classes
      Actor
28.  final def sender(): ActorRef
    Definition Classes
      Actor
29.  var shuttle: Vehicle
30.  val shuttleTime: Receive

    wire the pad and shuttle into a zone-scoped service handler

31.  val startUp: Receive

    collect all of the doors that will be controlled by the HART system; set up the shuttle information based on the pad to which it belongs; register and add the shuttle as a common vehicle of the said zone

32.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
33.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
34.  val taxiing: Receive

    the HART system is active and ready to handle state changes

35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped